net.snowflake.client.jdbc.telemetryOOB

## Class TelemetryEvent.LogBuilder

- java.lang.Object
- - net.snowflake.client.jdbc.telemetryOOB.TelemetryEvent.LogBuilder

Enclosing class:
  TelemetryEvent

    public static class TelemetryEvent.LogBuilder
    extends Object

Build log json object

### Constructor Summary

Constructors
Constructor and Description
`LogBuilder()`

### Method Summary

All Methods Instance Methods Concrete Methods
`TelemetryEvent` `build()`
`TelemetryEvent.LogBuilder` `withException(Exception ex)` build a log event for an exception including the full stack trace
`TelemetryEvent.LogBuilder` `withException(SFException ex)`
`TelemetryEvent.LogBuilder` `withValue(net.minidev.json.JSONArray value)`
`TelemetryEvent.LogBuilder` `withValue(net.minidev.json.JSONObject value)`
`TelemetryEvent.LogBuilder` `withValue(String value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LogBuilder

    public LogBuilder()

### Method Detail

#### withException

    public TelemetryEvent.LogBuilder withException(Exception ex)

build a log event for an exception including the full stack trace

Parameters:
  `ex` - The exception to build a log event
Returns:
  The log event builder

#### withException

    public TelemetryEvent.LogBuilder withException(SFException ex)

#### withValue

    public TelemetryEvent.LogBuilder withValue(String value)

#### withValue

    public TelemetryEvent.LogBuilder withValue(net.minidev.json.JSONObject value)

#### withValue

    public TelemetryEvent.LogBuilder withValue(net.minidev.json.JSONArray value)

#### build

    public TelemetryEvent build()